Subject: Re: Anyone using "calltree"?
From: "Gerrit P. Haase" <[email-masked]>
To: "Eric M. Monsler" <[email-masked]>
Cc: [email-masked]
Date: Thu, 30 Aug 2001 23:19:57 +0200

Eric M. Monsler schrieb am 2001-08-30, 9:46:

>All,
>
>Is anyone successfully using 'calltree' under cygwin?  
>
>I downloaded calltree-2.0, which has rules for cygwin on NT, and it
>built OOTB.  However, when I run it, it complains as follows for each
>input file:

There is a version 2.1 available:
ftp://ftp.fokus.gmd.de/pub/unix/calltree/
Is it the same program?

>calltree: No such file or directory. Cannot execute 'cpp'.
>
>My initial thought was fine, failed configure, I'll go in and make it
>use 'gcc -E' for cygwin.  But in checking the configure step, I see the
>output:
>
>checking how to run the C preprocessor... gcc -E
>
>And, in the i686-cygwin32_nt-gcc/ directory, config.cache file that is
>generated, I see:
>
>ac_vc_prog_CPP=${ac_cv_prog_CPP='gcc -E'}
>
>I don't understand why this doesn't work.
>
>I also considered whether that configure was only for building calltree, and
>not what calltree used when operating.  I tried exporting CPP="gcc -E",
>which didn't help.  I will probably dive into calltree's source next, but
>thought I'd fire this off and see if anyone has used calltree under cygwin,
>and if so how they got it working.
>
>Thanks,
>
>Eric

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/